<?php
	require_once("../config/connect.php");
	require_once("../config/pageConfig.php");
	require_once("../global_functions.php");

	function signaturfehler_beheben()
	{
		echo "<pre>";
		echo "Sicherheitseinrichtung ausgefallen :".base64_encode("Sicherheitseinrichtung ausgefallen")."\n";
		echo "Sicherheitseinrichtung_ausgefallen :".base64_encode("Sicherheitseinrichtung_ausgefallen");
		echo "\n\n\n";
		
		$Q1=mysql_query("SELECT * from dep");
		while ($row=mysql_fetch_array($Q1))
		{
			$beleg_nr=$row['beleg_nr'];
			$qr_string=$row['qr_string'];
			$signjws=$row['signjws'];
			
			$qrX=explode("_", $qr_string);
			$lastIndex=count($qrX)-1;
			
			$sigData=base64_decode($qrX[$lastIndex]);
			if(strtolower($sigData) == 'sicherheitseinrichtung_ausgefallen' ){
				echo "Bon : $beleg_nr FEHLER : ".$sigData . " QR: $qr_string \n";
				$qr_string=str_replace ("U2ljaGVyaGVpdHNlaW5yaWNodHVuZ19hdXNnZWZhbGxlbg==", "U2ljaGVyaGVpdHNlaW5yaWNodHVuZyBhdXNnZWZhbGxlbg==", $qr_string);
				echo "Bon : $beleg_nr FEHLER : ".$sigData . " QR: $qr_string \n";
				
				$signjwsX=explode(".", $signjws);
				echo "Bon : $beleg_nr FEHLER : ".$sigData . " SignJWS: $signjws \n";
				$signjws=str_replace ("U2ljaGVyaGVpdHNlaW5yaWNodHVuZ19hdXNnZWZhbGxlbg", "U2ljaGVyaGVpdHNlaW5yaWNodHVuZyBhdXNnZWZhbGxlbg", $signjws);
				echo "Bon : $beleg_nr FEHLER : ".$sigData . " SignJWS: $signjws \n";
				//echo "Beleg $beleg_nr : Korrigiere Fehler Signatureinheit Ausgefallen! \n";
				//$sql="UPDATE dep set qr_string='".$qr_string."', signjws='".$signjws."' WHERE beleg_nr='".$beleg_nr."'";
				//echo $sql;
				//mysql_query($sql);
			}	
			if(strtolower($sigData) == 'sicherheitseinrichtung ausgefallen' ){
				//echo "OK     : ".$sigData . " \n";
				echo "OK  : $beleg_nr     OK : ".$sigData . " QR: $qr_string \n";
				echo "OK  : $beleg_nr     OK : ".$sigData . " SignJWS: $signjws \n";
				//echo "Beleg $beleg_nr : Signatureinheit Ausgefallen wurde richtig behandelt! \n";
				//$pdf->Cell($bonWidth, $lineHeight, $sigData, 0, 1, "C");			
			}
			
			//echo "Bearbeite Bon: ". $beleg_nr ." QR-String: ".$qr_string. "\n";
		}
		echo "</pre>";
	}
	
	signaturfehler_beheben();
?>